Version 1.10.0.0 of PWPS_DAB just posted to the PowerShell Gallery

We just posted version 1.10.0.0 of the #PWPS_DAB #PowerShell module for #ProjectWise to the PowerShell Gallery. To install: Run an Admin session of 32-bit PowerShell v5 and use the cmdlet Update-Module PWPS_DAB (if you already have the module) or Install-Module PWPS_DAB (for a new install). One can run Uninstall-Module PWPS_DAB first just to clean up old installs. VERY IMPORTANT NOTE: This PowerShell Module is not covered under your SELECT Agreement and is not supported via your contractual support channels. Support is only available via the BE Communities site ( communities.bentley.com/.../projectwise-powershell-extensions-forum ).
  • 2019-03-14 Version 1.10.0.0

    General note:

    We've had requests to port functionality from PWPS to this module in order to make it all available in 64-bit and SS4. We had been avoiding doing that in order to avoid duplication, but the lack of availability in some features in 64-bit was getting annoying. We will be adding more as we perceive a need.

    Added cmdlets

    • Update-PWUserSetting
      • Allows for updating all user settings (replicates functionality in PWPS).
    • Get-PWUserSettingByUser
      • List all or individual setting by user (replicates functionality in PWPS).
    • Get-PWUserDefaultSettings
      • List all or individual datasource default user settings (replicates functionality in PWPS).
    • New-PWUserListByName
      • Create user list (replicates functionality in PWPS).
    • New-PWGroupByName
      • Create Group (replicates functionality in PWPS).

    Changed cmdlets

    • Add-PWMemberToUserList
      • added -GroupNames, -UserListNames and -AddAllUsers switches to cmdlet
    • Remove-PWMemberFromUserList
      • added -GroupNames, -UserListNames and -AddAllUsers switches to cmdlet
    • Update-PWFolderSecurity
      • added some additional input validation

     

  • WOOT! Thanks for starting to move more stuff to 64-bit enabled.